// components/jianli/experience.js
import {
	imgServerUrl
} from '../../config/config.js'
Component({
	/**
	 * 组件的属性列表
	 */
	properties: {
		list: { //工作经历列表
			type: Array,
			value: []
		},
		edit: { // 是否可编辑
			type: Boolean,
			value: false
		}
	},

	/**
	 * 组件的初始数据
	 */
	data: {
		imgServerUrl
	},

	/**
	 * 组件的方法列表
	 */
	methods: {
		// 提交编辑事件
		edit(e) {
			const { index } = e.currentTarget.dataset;
			this.triggerEvent('edit', { index })
		}
	}
})
